package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemSiteTermsEditBindingImpl extends ItemSiteTermsEditBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_workspaceterms_line2_text, 3);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback83;
    @Nullable
    private final android.view.View.OnClickListener mCallback82;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemSiteTermsEditBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 4, sIncludes, sViewsWithIds));
    }
    private ItemSiteTermsEditBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (android.widget.TextView) bindings[3]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            );
        this.itemWorkspacetermsLine1Text.setTag(null);
        this.itemWorkspacetermsSecondaryMenuImageview.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback83 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback82 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.siteTerms == variableId) {
            setSiteTerms((com.ustadmobile.lib.db.entities.SiteTermsWithLanguage) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.SiteEditPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setSiteTerms(@Nullable com.ustadmobile.lib.db.entities.SiteTermsWithLanguage SiteTerms) {
        this.mSiteTerms = SiteTerms;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.siteTerms);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.SiteEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.mPresenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String siteTermsStLanguageName = null;
        com.ustadmobile.lib.db.entities.SiteTermsWithLanguage siteTerms = mSiteTerms;
        com.ustadmobile.lib.db.entities.Language siteTermsStLanguage = null;
        com.ustadmobile.core.controller.SiteEditPresenter mPresenter = mMPresenter;

        if ((dirtyFlags & 0x5L) != 0) {



                if (siteTerms != null) {
                    // read siteTerms.stLanguage
                    siteTermsStLanguage = siteTerms.getStLanguage();
                }


                if (siteTermsStLanguage != null) {
                    // read siteTerms.stLanguage.name
                    siteTermsStLanguageName = siteTermsStLanguage.getName();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemWorkspacetermsLine1Text, siteTermsStLanguageName);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.itemWorkspacetermsSecondaryMenuImageview.setOnClickListener(mCallback83);
            this.mboundView0.setOnClickListener(mCallback82);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter.siteTermsOneToManyJoinListener
                com.ustadmobile.core.util.NavigateForResultOneToManyJoinEditListener<com.ustadmobile.lib.db.entities.SiteTermsWithLanguage> mPresenterSiteTermsOneToManyJoinListener = null;
                // siteTerms
                com.ustadmobile.lib.db.entities.SiteTermsWithLanguage siteTerms = mSiteTerms;
                // mPresenter.siteTermsOneToManyJoinListener != null
                boolean mPresenterSiteTermsOneToManyJoinListenerJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.SiteEditPresenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenterSiteTermsOneToManyJoinListener = mPresenter.getSiteTermsOneToManyJoinListener();

                    mPresenterSiteTermsOneToManyJoinListenerJavaLangObjectNull = (mPresenterSiteTermsOneToManyJoinListener) != (null);
                    if (mPresenterSiteTermsOneToManyJoinListenerJavaLangObjectNull) {



                        mPresenterSiteTermsOneToManyJoinListener.onClickDelete(siteTerms);
                    }
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // mPresenter != null
                boolean mPresenterJavaLangObjectNull = false;
                // mPresenter.siteTermsOneToManyJoinListener
                com.ustadmobile.core.util.NavigateForResultOneToManyJoinEditListener<com.ustadmobile.lib.db.entities.SiteTermsWithLanguage> mPresenterSiteTermsOneToManyJoinListener = null;
                // siteTerms
                com.ustadmobile.lib.db.entities.SiteTermsWithLanguage siteTerms = mSiteTerms;
                // mPresenter.siteTermsOneToManyJoinListener != null
                boolean mPresenterSiteTermsOneToManyJoinListenerJavaLangObjectNull = false;
                // mPresenter
                com.ustadmobile.core.controller.SiteEditPresenter mPresenter = mMPresenter;



                mPresenterJavaLangObjectNull = (mPresenter) != (null);
                if (mPresenterJavaLangObjectNull) {


                    mPresenterSiteTermsOneToManyJoinListener = mPresenter.getSiteTermsOneToManyJoinListener();

                    mPresenterSiteTermsOneToManyJoinListenerJavaLangObjectNull = (mPresenterSiteTermsOneToManyJoinListener) != (null);
                    if (mPresenterSiteTermsOneToManyJoinListenerJavaLangObjectNull) {



                        mPresenterSiteTermsOneToManyJoinListener.onClickEdit(siteTerms);
                    }
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): siteTerms
        flag 1 (0x2L): mPresenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}